Email Accounts

Reconnect Email Account

POST/v1/email-accounts/reconnect
POST
/v1/email-accounts/reconnect

Reconnect existing email accounts.

This can be a large request and may take some time to complete. But you will get response immediately after the request is submitted.

On request of this API, you will receive a requestId that can be used to check the status of the import process.

To check the status of the import process, you can use the /v1/email-accounts/connect/status API.

After completion you will receive a CSV file link containing the email account import details.

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Request Body

application/jsonRequired

Array of email account ids to be toggle on.

emailAccountIdsarray<number>

Array of email account IDs to be toggled on.

Example: ["1Gz3xlNwr9","ajzR8xpPAq","vXwAZr6P8q"]

Responses

200
The email accounts connection process has been initiated successfully. Please wait while we connect your email accounts. You may check the status using this API `/v1/email-accounts/connect/status/{{requestId}}`.
{
  "message": "The email accounts connection process has been initiated successfully. Please wait while we connect your email accounts. You may check the status using this API `/v1/email-accounts/connect/status/{{requestId}}`.",
  "payload": {
    "requestId": "129a184"
  }
}

Request

curl -X POST \
  "https://open-api.saleshandy.com/v1/email-accounts/reconnect" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "emailAccountIds": [
    "1Gz3xlNwr9",
    "ajzR8xpPAq",
    "vXwAZr6P8q"
  ]
}'

Response

No response body